MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024967Open CASCADE[OCCT] OCCT:WOKpublic2014-05-28 12:102016-04-20 15:48
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0024967: Some CDL comments get lost when HXX files are generated
DescriptionAs discovered in context of 0024784, some comments found in CDL files are not extracted to HXX and thus get lost. WOK should be improved to preserve these comments.

Strings with "Purpose" keyword are parsed wrongly:

1) for packages when keyword "uses" is missed
    - src/Standard/Standard.cdl
    - src/TopAbs/TopAbs.cdl

2) for class instantiates
    For example:
        src/Bnd/Bnd.cdl
        "class SeqOfBox instantiates Sequence from TCollection (Box from Bnd)"
        " ---Purpose: This sequence used to store the bounding boxes of sub-Shapes."

3) for exceptions
    For example:
        src/GProp/GProp.cdl
        exception UndefinedAxis inherits DomainError;
            --- Purpose :
            -- This exception is raised when a method makes reference to
            -- an undefined inertia axis of symmetry.

4) for aliases
    For example:
        src/BRepOffsetAPI/BRepOffsetAPI.cdl
        alias Sewing is Sewing from BRepBuilderAPI;
          ---Purpose: sew the shapes along their common edges
TagsNo tags attached.
Test case number
Attached Files

- Relationships
child of 0024784closedapn Move documentation in CDL files to proper location 

-  Notes
(0046118)
abv (manager)
2015-09-25 01:18

The documentation comments should be extrected in all mentioned cases (the only remaining issue is for generic classes, see 0026595), thus please switch this issue to Verified

- Issue History
Date Modified Username Field Change
2014-05-28 12:10 abv New Issue
2014-05-28 12:10 abv Assigned To => kgv
2014-05-28 12:10 abv Relationship added child of 0024784
2014-10-29 13:44 abv Target Version 6.8.0 => 7.0.0
2015-09-25 01:18 abv Note Added: 0046118
2015-09-25 01:18 abv Assigned To kgv => bugmaster
2015-09-25 01:18 abv Status new => feedback
2015-09-30 11:41 bugmaster Status feedback => tested
2015-09-30 11:42 bugmaster Status tested => verified
2015-09-30 11:42 bugmaster Resolution open => fixed
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker